#2447 closed enhancement (fixed)

Remove m32r/m32rsim

Reported by: Joel Sherrill Owned by: Aun-Ali Zaidi <admin@…>
Priority: normal Milestone: 5.1
Component: bsps Version: 4.11
Severity: normal Keywords: obsolete, BSP
Cc: Blocked By:
Blocking:

Description

Remove the m32r/m32rsim BSP per the instructions at https://devel.rtems.org/wiki/Developer/Removing_a_BSP

Attachments (16)

0001-dejagnu-boards-rtems-m32r-m32rsim.exp-Remove.patch (2.0 KB) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:31:18 PM.
0001-m32r-m32rsim-Remove.patch (27.7 KB) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:31:33 PM.
0002-sim-scripts-Makefile-Remove-m32r-reference.patch (1.1 KB) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:31:42 PM.
0003-sim-scripts-.gitignore-Remove-m32r-references.patch (575 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:31:51 PM.
0004-sim-scripts-m32rsim.in-Remove.patch (854 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:32:01 PM.
0005-gcc-rundeja-Remove-m32r-reference.patch (626 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:32:12 PM.
0006-gcc-test_driver-Remove-m32r-reference.patch (997 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:32:34 PM.
0007-gcc-RTEMS_GCC_Testing.txt-Remove-m32r-references.patch (807 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:32:43 PM.
0008-gcc-do_one-Remove-m32r-reference.patch (853 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:32:52 PM.
0009-gcc-parallelize_build-Remove-m32r-reference.patch (996 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:33:01 PM.
0010-gcc-testsuite-ada-acats-Makefile.rtems-Remove-m32r-r.patch (866 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:33:10 PM.
0011-simple-build-script-build_tools-Remove-m32r-referenc.patch (1.0 KB) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:33:20 PM.
0012-rtems-bit_rtems-Remove-m32r-reference.patch (704 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:33:29 PM.
0013-rtems-bit_all_bsps-Remove-m32r-references.patch (1.1 KB) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:33:38 PM.
0014-rtems-bit_all_multilib-Remove-m32r-reference.patch (791 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:33:47 PM.
0015-rtems-common.sh-Remove-m32r-references.patch (989 bytes) - added by Aun-Ali Zaidi on Dec 9, 2015 at 7:33:56 PM.

Download all attachments as: .zip

Change History (30)

comment:1 Changed on Nov 3, 2015 at 7:27:56 PM by Joel Sherrill

Keywords: obsolete BSP added

Changed on Dec 9, 2015 at 7:31:33 PM by Aun-Ali Zaidi

comment:2 Changed on Dec 9, 2015 at 11:11:30 PM by Joel Sherrill

Grrr... you need to rebase your RTEMS tree. The rtems patch to remove the BSP does not apply.

git checkout master
git pull
git checkout am # assuming that's the name of the branch
git rebase -i master
# things may break or conflict, fix them.
make a new patch

Please also delete all obsolete patches on this PR.

comment:3 Changed on Dec 9, 2015 at 11:13:47 PM by Joel Sherrill

Please combine all patches for rtems-testing into a single patch.

Also do not remove support for the m32r architecture in general. This means rtems-testing should not be modified.

Please resubmit

comment:4 in reply to:  2 Changed on Dec 10, 2015 at 12:19:50 AM by Aun-Ali Zaidi

I am not aware of a method of deleting the obsolete patches. As far as I know, that requires admin privileges.

Replying to joel.sherrill:

Grrr... you need to rebase your RTEMS tree. The rtems patch to remove the BSP does not apply.

git checkout master
git pull
git checkout am # assuming that's the name of the branch
git rebase -i master
# things may break or conflict, fix them.
make a new patch

Please also delete all obsolete patches on this PR.

comment:5 in reply to:  2 Changed on Dec 10, 2015 at 12:21:30 AM by Aun-Ali Zaidi

Replying to joel.sherrill:

Please also delete all obsolete patches on this PR.

I am not aware of a method of deleting the obsolete patches. As far as I know, that requires admin privileges.

comment:6 Changed on Dec 10, 2015 at 1:00:32 AM by Joel Sherrill

I take back something I said. There maybe m32rsim references in the rtems-testing/gcc subdirectory. If so, kill them. But don't drop the entire m32r.

Sorry. This gets complicated.

comment:7 Changed on Dec 10, 2015 at 8:29:28 AM by Aun-Ali Zaidi <admin@…>

In f7c47a6880aea022b12f7f553df070d6f7ec0702/rtems:

m32r/m32rsim: Remove

updates #2447.

comment:8 Changed on Dec 10, 2015 at 1:57:44 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:9 Changed on Dec 14, 2015 at 3:10:36 AM by Aun-Ali Zaidi <admin@…>

Owner: set to Aun-Ali Zaidi <admin@…>

comment:10 Changed on Dec 14, 2015 at 3:13:42 AM by Gedare

Resolution: fixed
Status: closedreopened

Still hasn't been removed from rtems-testing.git.

comment:11 Changed on Jan 3, 2016 at 9:06:57 PM by Joel Sherrill

Do we remove the tests from sim-scripts even when supported by older ports? I am reasonably happy to do this because the three ports being removed this time are all but useless. But in general, we need to be more deliberate.

I suppose it is OK if there are release branches for this repo.

comment:12 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:13 Changed on Aug 24, 2017 at 6:19:41 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: reopenedclosed

In 9da6e08/rtems-testing:

sim-scripts: Remove obsolete ignores

Close #2447.

comment:14 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.